%define type1dir %_datadir/fonts/default/Type1-phonetic

Name: phonetic-fonts-type1
Version: 19980806
Release: alt1.M30.1

Summary: Phonetic fonts for X Window System
Summary(ru_RU.UTF-8): Фонетические шрифты для X Window System
License: distributable
Group: System/Fonts/Type1
Source0: tipa-type1-%version.tar.bz2
Source1: silipa.enc
Source2: encodings.dir
Source3: fonts.dir
BuildArch: noarch
PreReq: chkfontpath fontconfig
Provides: xfonts-phonetic
Obsoletes: xfonts-phonetic

%description
Collection of phonetic Type1 fonts for X Window System from TeX Live
CD distribution.

%description -l ru_RU.UTF-8
Набор фонетических шрифтов в формате Type1 для X Window System из 
дистрибутива TeX Live CD.

%prep
%setup -q -n tipa-type1-%version
mkdir rpmdoc
cp README rpmdoc

%install
mkdir -p $RPM_BUILD_ROOT%type1dir
install -p -m644 *.pfb afm/*.afm %SOURCE1 %SOURCE2 %SOURCE3 $RPM_BUILD_ROOT%type1dir
touch $RPM_BUILD_ROOT%type1dir/fonts.cache-1

%post
%_bindir/fc-cache %type1dir ||:
%_sbindir/chkfontpath -q --add %type1dir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %type1dir ||:
fi

%files
%type1dir
%doc rpmdoc/*

%changelog
* Sat Apr 22 2006 Igor Vlasenko <viy@altlinux.ru> 19980806-alt1.M30.1
- fixed bug: path to silipa.enc

* Mon Aug 23 2004 Vyacheslav Dikonov <slava@altlinux.ru> 19980806-alt1
- moved to /usr/share/fonts, changed name to follow general policy

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 19980806-ipl4
- rebuild

* Sat Jun 9 2001 AEN <aen@logic.ru> 19980806-ipl3
- silipa.enc fixed (thnx to Vladimir Byrganov)

* Tue May 22 2001 Stanislav Ievlev <inger@altlinux.ru> 19980806-ipl2
- Remove XFree86 requirement from spec. We need only XFree86-libs

* Wed Feb 21 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> ipl1
- Initial release
